[package]
name = "fw"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
riscv-rt = "0.11.0"
panic-halt = "0.2.0"
embedded-hal = "0.2.7"
defmt = {version = "0.3.4", features = ["encoding-raw"] }

[dependencies.smoltcp]
version = "0.9.1"
default-features = false
features = ["medium-ethernet", "proto-ipv4", "socket-icmp", "defmt"]

[profile.release]
debug = true
